Bug 1261 - PGPLOT demo doesn\'t start
: PGPLOT demo doesn\'t start
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/perl-PDL)
: unstable
: all Linux
: P5 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-09-15 14:56 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-09-15 14:56:52
The demo
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PDL/HtmlDocs//PDL/Graphics/PGPLOT.html
doesn\'t start, complaining it can\'t find a module.

The example from
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PDL/HtmlDocs//PDL/Graphics/PGPLOT.html
also can not be run: perldl says it can\'t find \'line\'.

---
]$ perl /usr/lib/perl5/site_perl/5.6.1/i386-linux/PDL/Demos/PGPLOT_demo.pm
Can\'t locate PGPLOT.pm in @INC (@INC contains: /usr/lib/perl5/i386-linux
/usr/lib/perl5 /usr/lib/perl5/site_perl/5.6.1/i386-linux
/usr/lib/perl5/site_perl/5.6.1 /usr/lib/perl5/site_perl/5.6.0/i386-linux
/usr/lib/perl5/site_perl/5.6.0 /usr/lib/perl5/site_perl/5.005/i386-linux
/usr/lib/perl5/site_perl/5.005 /usr/lib/perl5/site_perl .) at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PDL/Graphics/PGPLOT/Window.pm line
1677.
BEGIN failed--compilation aborted at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PDL/Graphics/PGPLOT/Window.pm line
1677.
Compilation failed in require at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PDL/Graphics/PGPLOT.pm line 145.
BEGIN failed--compilation aborted at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PDL/Graphics/PGPLOT.pm line 145.
Compilation failed in require at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PDL/Demos/PGPLOT_demo.pm line 3.
BEGIN failed--compilation aborted at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PDL/Demos/PGPLOT_demo.pm line 3.
$ locate PGPLOT.pm
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PDL/Graphics/PGPLOT.pm
$ 

---
$ rpm -q perl perl-PDL
perl-5.6.1-alt17
perl-PDL-2.320-alt1
------- Comment #1 From 2002-10-08 15:56:51 -------
Fixed in perl-PDL-2.330-alt1
------- Comment #2 From 2002-10-08 15:56:51 -------
Fixed in perl-PDL-2.330-alt1